Subject: Re: bug#37244: Icecat Audio Issues

From: ison <[email-masked]>
Date: Tue, 3 Sep 2019 13:35:37 -0600

On Sun, Sep 01, 2019, Tobias Geerinckx-Rice via Bug reports for GNU Guix wrote:
> 
> If by ‘robotic’ you mean (extremely) low-pitched then, yes, this has been
> the case for roughly the past half year.
> 
> I asked around on IRC, even sending URLs to innocent people who were unable
> to reproduce the problem, so I then assumed it wasn't in Guix proper.  I
> almost never watch videos on the Web so I didn't care much, but you might be
> happy to learn you're not alone.
> 
> Could you share a (free) example URL?

I believe the cause is "media sources", although I'm not sure
exactly what that is, if you disable it it seems to "fix" the issue.
I found this solution from some old firefox bug reports that seemed to describe
similar audio distortions.

A good site to test it on is nicovideo.jp, since on other sites if I
disable mediasources the videos just refuse to play altogether.
So for example here is a reference video, I simply clicked the first
video I saw and it reproduces the audio distortion:
https://www.nicovideo.jp/watch/sm35513757

When I play it the audio is very low pitch and crackly. However, if
I open about:config (just enter about:config into the address bar),
search for "mediasource", and then double click
"media.mediasource.enabled" so it shows false, then reload the video
and it plays perfectly without any distortion.

As I mentioned though, most sites seem to not like it when
mediasource is disabled, so it's not a perfect solution, but at
least it shows where the problem lies.